Skip to main content
Infrastructure/Assets
PUTInfrastructureSince 1.0SynchronousAuth Required

UpdateAssetLabelKey

Update the metadata of an existing asset label key.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • keyNameStringRequired

    Internal key name of the label key to update

Body Fields

  • displayNameStringRequired

    Updated user-facing display name for this label key

    Example: Cost Center Code

  • descriptionStringRequired

    Updated description explaining the purpose of this label key

    Example: Cost center code used for billing allocation

  • valueSuggestionsListRequired

    Value suggestions

    Example: item1,item2

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

PUT/api/v1/assets/label-keys/{keyName}

/api/v1/assets/label-keys/{keyName}

Operation ID

UpdateAssetLabelKey

Permalink

Request Example

curl -X PUT '{host}/api/v1/assets/label-keys/{keyName}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"displayName":"Cost Center Code","description":"Cost center code used for billing allocation","valueSuggestions":"item1,item2"}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history